@charset "UTF-8";

*{
    margin: 0;
    padding: 0;
}
a{
    text-decoration: none;
}
.container{
    max-width: 1480px;
    margin: auto;
}
.member_list_scroll{
    width: 100%;
    /* height: 100vh; */
    /* max-height: 500px; */
    overflow-x: scroll;
}
li{
    list-style: none;
}

h1, h1 img{
    all: initial;
    vertical-align: top;
}
h1 img{
    width: 100%;
}

h2{
    text-align: center;
    margin: 24px auto;
    color: rgb(80,80,80);
}
h2::after{
    content: "";
    display: block;
    width: 50px;
    border-bottom: 6px solid darkorange;
    border-radius: 6px;
    margin: 10px auto 0 auto;
}
h3{
    font-size: 18px;
    color: rgb(70,70,70);
    text-align: center;
    margin: 50px auto 30px auto;
}
h3:before{ content: " － "; }
h3:after{ content: " － "; }

input[type="text"],
input[type="password"],
input[type="tel"],
input[type="file"],
select,
textarea{
    font-size: 16px;
    box-sizing: border-box;
    padding: 5px 5px;
}
input[type="checkbox"]{
    transform: scale(1.3);
    margin: 8px auto;
}

/* ボタンCSS *************************************************/
.bt01{
    all:initial;
    cursor: pointer;
    display: inline-block;
    padding: 5px 12px;
    margin: 5px 10px;
    background-color: chocolate;
    color: white;
    border-radius: 5px;
    box-shadow: 2px 2px 3px rgba(0,0,0,0.5);
    white-space: nowrap;
}
.bt01:hover{
    opacity: 0.7;
}
.bt01:active{
    box-shadow: 0px 0px 5px rgba(0,0,0,0.5);
    transform: translate(1px,1px);
}
@media screen and (max-width:500px){
    .bt01{
        font-size: 0.8em;
    }
}
/* /ボタンCSS *************************************************/


/* 一覧リストのCSS **********************************************/
#list_header{
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-between;
}
.list_left, .list_right{
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
}
/* /一覧リストのCSS *********************************************/


/*会員一覧テーブル（管理画面）*************************************/
table.tb_admin{
    display: table;
    width: 100%;
    margin: auto;
    max-height: 500px;
    overflow-x: scroll;
    overflow-y: scroll;
}
table.tb_admin thead{
    position: sticky;
    top: 0px;
    /* z-index: 999; */
}
table.tb_admin thead th,
table.tb_admin tbody td{
    width: auto;
    white-space: nowrap;
    padding: 5px;
    text-align: center;
}
table.tb_admin tbody td.td_wrap,
table.tb_admin tbody td.biko{
    /* white-space: wrap; */
    width: auto;
    text-align: left;
}
table.tb_admin tbody tr:nth-child(odd){
    background-color: whitesmoke;
}
table.tb_admin tbody tr:nth-child(even){
    background-color: lemonchiffon;
}
table.tb_admin thead th{
    background-color: var(--base-color);
    color: white;
}
table.tb_admin tbody td.biko div{
    display: block;
    height: 1.2em;
    /* overflow-y: hidden; */
}
table.tb_admin tbody tr td button{
    font-size: 24px;
    line-height: 24px;
    padding: 0px 3px;
}
/* /会員一覧テーブル（管理画面）*************************************/

/* 実行ログBOX ***************************************************/
#upload_log{
    max-width: 640px;
    height: 120px;
    margin: 10px auto 30px auto;
}
#upload_log .wrap{
    max-width: 100%;
    height: 100%;
    background-color: whitesmoke;
    overflow: scroll;
    border: 2px inset white;
}
#upload_log .wrap span{
    display: block;
    margin-left: 1em;
}
/* /実行ログBOX ***************************************************/


/* プログレスバー ***************************************************/
#progress_bar{
    width: 100%;
    max-width: 500px;
    height: 20px;
    margin: 10px auto;
}
#prg_bar{
    all: initial;
    /* -webkit-appearance: none; プログレスバーのスタイルをリセット
    -moz-appearance: none; プログレスバーのスタイルをリセット */
}
::-webkit-progress-bar {
    background-color: #CCC; /* プログレスバーの背景色/-webkit- 用 */
}
::-webkit-progress-value {
    background-color: dodgerblue; /* プログレスバーの進捗部分色/-webkit- 用 */
}
::-moz-progress-bar {
    background-color: dodgerblue; /* プログレスバーの進捗部分色/-moz- 用 */
}
/* /プログレスバー ***************************************************/



/* header ***************************************************/
header{
    height: auto;
    background-color: var(--base-color);
    overflow: hidden;
    /* position: sticky;
    top: 0px; */
}
header .container{
    /* height: 100%; */
    box-sizing: border-box;
    padding: 5px 16px;
    display: flex;
    gap: 10px;
    justify-content: space-between;
    align-items: center;
}
header h1{
    display: flex;
    width:fit-content;
    flex-wrap: wrap;
    align-items: center;
    color: white;
    font-size: 16px;
}
header h1 img{
    max-width: 300px;
}
header nav{
    display: block;
}
header nav ul{
    display: flex;
}
header nav ul li{
    margin-left: 20px;
}
header .bt_menu{
    display: none;
    width: 30px;
    height: 30px;
    background-color: rgba(0,0,0,0);
    border: 2px solid white;
    border-radius: 3px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    z-index: 999;
}
header .bt_menu div{
    width: 80%;
    height: 3px;
    background-color: white;
    border-radius: 5px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    transform-origin: center center;
    transition: 0.3s;
}
header .bt_menu div:nth-child(1){
    top: calc(50% - 8px);
}
header .bt_menu div:nth-child(3){
    top: calc(50% + 8px);
}
header .tglopenclose div:nth-child(2){
    left: 150%;
}
header .tglopenclose div:nth-child(1){
    top: 50%;
    transform: translate(-50%,-50%) rotate(45deg);
}
header .tglopenclose div:nth-child(3){
    top: 50%;
    transform: translate(-50%,-50%) rotate(-45deg);
}

@media (max-width:500px){
    header h1{
        flex-wrap: wrap;
        justify-content: space-around;
    }
    header h1 span{
        display: none;
    }
    header nav{
        width: 200px;
        height: 100vh;
        position: fixed;
        top: 0px;
        right: 0px;
        background-color: rgba(0,0,0,0.7);
        z-index: 998;
        transition: 0.3s;
    }
    header .nav_hyde{
        right: -200px;
    }
    header nav *{
        all: initial;
        display: block;
    }
    header nav ul{
        display: block;
        margin-top: 60px;
    }
    header nav ul li{
        margin-left: 0px;
    }
    header nav ul li .bt01{
        all: initial;
        display: block;
        width: 100%;
        padding: 10px 0px;
        color: white;
        text-align: center;
        cursor: pointer;
        margin: 3px auto;
    }
    header .bt_menu{
        display: block;
    }
}
/* /header ***************************************************/


/* main ******************************************************/
main{
    box-sizing: border-box;
    min-height: calc(100vh - 234px);
    margin: 0;
}
/* /main ******************************************************/


/* footer ******************************************************/
footer{
    position: relative;
    bottom: 0;
    min-height: 100px;
    background-color: var(--base-color);
    margin-top: 30px;
}
footer #copyright{
    width: 100%;
    text-align: center;
    position: absolute;
    bottom: 0;
    color: white;
    font-size: small;
}
/* /footer ******************************************************/


/* 証明カードデザイン **********************************************/
.hide{
    display: none !important;
}
#updated{
    width: fit-content;
    margin: 0px auto;
    padding: 10px 20px;
    border: 2px solid mediumseagreen;
    color: mediumseagreen;
}
#bt_rotate{
    display: none;
    width: fit-content;
    margin: 10px auto 20px auto;
    text-align: center;
    background-color: chocolate;
    color: white;
    padding: 5px 10px;
    border-radius: 5px;
    box-shadow: 2px 2px 3px rgba(0,0,0,0.5);
    white-space: nowrap;
    cursor: pointer;
}
/* #bt_rotate:before{
    content: "";
    display: inline-block;
    background-image: url(./images/rotate.png);
    width: 24px;
    height: 24px;
    background-size: contain;
    background-repeat: no-repeat;
    filter: hue-rotate(180deg);
} */
#bt_rotate img{
    display: inline;
    width: 20px;
}
.card *{
    font-size: 14px;
    color: rgb(68, 68, 68);
    transition: 0.3s;
}
.cards{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 780px;
    gap: 40px;
    margin: auto;
    transition: 0.3s;
    position: relative;
}
@media (max-width:780px){
    .cards{
        gap: 5px;
    }
}
.card{
    position: relative;
    width: 360px;
    margin: 30px auto;
    box-sizing: border-box;
    padding: 5px;
    /* background-color: whitesmoke; */
    background: linear-gradient(45deg, #caad74 0%, #f3e3a5 45%, #f5f4f3 70%, #f7e397 85%, #f8e7c4 90% 100%);
    border: 3px outset khaki;
    border-radius: 8px;
    box-shadow: 2px 2px 5px rgba(0,0,0,0.2);
    transition: 0.3s;
    flex-shrink: 0;
    z-index: -1;
}
@media (max-width:480px){
    #bt_rotate{ display: block; }
    .cards{
        width: 100%;
        gap: 0px;
        overflow-X: scroll;
    }
    .rotate{
        width: 100%;
        /* height: 800px; */
        left: 50%;
        transform: translateX(-50%);
        overflow-X: scroll;
    }
    .rotate .card{
        position: relative;
        left: 50%;
        transform-origin: center center;
        transform: translateX(-50%) rotate(90deg);
        margin: 100px auto;
    }
    /* .rotate .card:nth-child(1){
        top: 50px;
    }
    .rotate .card:nth-child(2){
        top: 450px;
    } */
}
#user_date{
    text-align: right;
    margin-bottom: 0px;
    font-size: 12px;
}
#sub_title,#year_city{
    padding-left: 10px;
}
#sub_title{
    display: block;
    margin-bottom: 10px;
    font-size: 12px;
}
#sub_title span:nth-child(2){
    font-weight: bold;
    margin: auto 10px;
}
#names *{
    color: green;
    font-weight: bold;
}
#names{
    text-align: center;
}
#names #company{
    /* max-width: 50%; */
    font-size: 14px;
}
#names #user_name{
    font-size: 18px;
}
#tx_info{
    width: fit-content;
    margin: 5px auto;
    font-size: 12px;
}
#tx_info div{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 5px;
}
#expiry{
    text-align: center;
    margin-bottom: 0px;
}
#expiry span:nth-child(2){
    font-size: 14px; 
    font-weight: bold;
}
#ft *{
    width: fit-content;
    margin: auto auto auto auto;
}
#ft{
    display: block;
}
#ft > div{
    display: flex;
    margin: 5px auto 5px auto;
}
#ft div{
    font-size: 12px;
}
#ft img{
    position: absolute;
    bottom: 5px; right: 10px;
    width: 55px;
}
.card_disabled{
    border-radius: 5px;
    position: absolute;
    top: 0px; left: 0px;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.7);
}
.card_disabled div{
    width: 100%;
    text-align: center;
    position: absolute;
    top: 50%; left: 50%;
    transform: translate(-50%,-50%);
    color: white;
    font-size: 18px;
}
#userinfo table{
    width: fit-content;
    margin: 20px auto;
    border-spacing: 0;
    border-top: 1px solid rgb(70,70,70);
    border-bottom: 1px solid rgb(70,70,70);
}
#userinfo table th,
#userinfo table td{
    padding: 5px 20px;
    width: fit-content;
}
#userinfo table th{
    /* font-weight: normal; */
    text-align: right;
    border-right: 4px double rgb(70,70,70);
    color: rgb(70,70,70);
}
.check_disabled{
    display:none;
}
/* .rotate{
    margin-top: 100px;
    margin-bottom: 100px;
    position: relative;
    
}
.rotate .card{
    position: relative;
    transform-origin: center center;
    transform: rotate(90deg);
    margin: 0;
}
.rotate .card:nth-child(1){
    left: 50px;
}
.rotate .card:nth-child(2){
    left: -50px;
} */
/* @media (max-width:397px){
    .rotate{
        position: relative;
        left: 50%;
        transform: translateX(-60%);
    }
    .rotate .card{
        transform: rotate(90deg);
    }
} */